// JavaScript Document
/*
Copyright © 2012 DMD, LLC.  Government Purpose Rights, ALL OTHER RIGHTS RESERVED
This computer software was developed pursuant to Contract Number W9113M-08-D-0003-0007 with the US
Government. Unauthorized Use, Reproduction, Modification, or Disclosure is strictly prohibited.
*/

var menu = function () {

    var _allPages = pageHierarchyData.getPageHierarchy().pages;
	var _thisPage = pageHierarchyData.getPageByPath(window.location.href).pages[0];
	var _parentPage;
	
	_getParentPage = function(){
		
		var parentPage;
		
		$.each(_allPages, function(i,page){
		
			if(_thisPage.parent != "" && _thisPage.parent !== undefined){
				if(page.id == _thisPage.parent.split(';#')[0]){
					parentPage = page;
					return false;
				}	
			}
		
		});
		
		return parentPage;
	
	},
	
	_getContextMenu = function(){
	
		var html = '<div class="menu vertical menu-vertical"><ul class="customQuicklaunch">';
		
		if(_parentPage === undefined){ // page is home page
																		
			$.each(_allPages, function(x,child){			
				
				if(child.parent !== undefined && child.parent != "" && child.parent !== "0;#"){
					if(_thisPage.id == child.parent.split(';#')[0]){
						
						html += '<li><div class="contextTab"><a href="'+ ((child.path == '#') ? (window.location.href + "#") : ($().SPServices.SPGetCurrentSite()+'/pages/'+child.path))+'"><span>'+child.title+'</span></a></div></li>';
					
					}
				}
				
			});
					
		} else {
		
			$.each(_allPages, function(i,page){
			
				if (page.parent !== undefined && page.parent != "" && page.parent != "0;#"){
					if(_parentPage.parent !== undefined && _parentPage.parent != "" && _parentPage.parent != "0;#"){
					
						if(page.parent.split(';#')[0] == _parentPage.parent.split(';#')[0]){
					
							html += '<li><div class="contextTab"><a href="'+((page.path == '#') ? (window.location.href + "#") : ($().SPServices.SPGetCurrentSite()+'/pages/'+page.path))+'"><span>'+page.title+'</span></a></div>';
																						
							if(_parentPage.id == page.id){ // if the page being viewed is the same as the page being iterated through at this point in the loop
								
								var childPagesHtml = '';
								
								$.each(_allPages, function(x,child){			
									
									if(child.parent !== undefined && child.parent != "" && child.parent != "0;#"){
										if(_parentPage.id == child.parent.split(';#')[0]){
										
											childPagesHtml += '<li><div class="contextChild"><a href="'+((child.path == '#') ? (window.location.href + "#") : ($().SPServices.SPGetCurrentSite()+'/pages/'+child.path))+'"><span>'+child.title+'</span></a></div></li>';
										
										}
									}
									
								});
								
								if(childPagesHtml !== ''){
								
									html += '<ul>'+childPagesHtml+'</ul>';
								
								}
							
							}
							
							html += "</li>";
						}
				
					} else {

						if(page.parent.split(';#')[0] == _parentPage.id){
					
							html += '<li><div class="contextTab"><a href="'+((page.path == '#') ? (window.location.href + "#") : ($().SPServices.SPGetCurrentSite()+'/pages/'+page.path))+'"><span>'+page.title+'</span></a></div>';
																						
							if(_thisPage.id == page.id){ // if the page being viewed is the same as the page being iterated through at this point in the loop
								
								var childPagesHtml = '';
								
								$.each(_allPages, function(x,child){			
									
									if(child.parent !== undefined && child.parent != "" && child.parent != "0;#"){
										if(_thisPage.id == child.parent.split(';#')[0]){
										
											childPagesHtml += '<li><div class="contextChild"><a href="'+((child.path == '#') ? (window.location.href + "#") : ($().SPServices.SPGetCurrentSite()+'/pages/'+child.path))+'"><span>'+child.title+'</span></a></div></li>';
										
										}
									}
									
								});
								
								if(childPagesHtml !== ''){
								
									html += '<ul>'+childPagesHtml+'</ul>';
								
								}
							}
							
							html += "</li>";
						}
					
					}
					
				}

			});
		}	
		
		html += '</ul></div>';
		$(".ms-quicklaunchouter").html("<div class='ms-quickLaunch'>"+$(".ms-quickLaunch").html()+"</div>"+html);
		
	},
	
	_getHomePage = function(){
		
		var html = '<a href="'+$().SPServices.SPGetCurrentSite()+'"><img src="'+$().SPServices.SPGetCurrentSite()+'/SiteAssets/images/whitelogo_sm.png" width="320" style="position:relative; left:15px; border:0px;"/></a>';
		$('.HeaderHomeLink').html(html);
		$('#s4-leftpanel-content').height((($(document).height() > 440) ? ($(document).height()-205) : 233));
	
	},
	
		_getFooterMenu = function(){
	
		var html = '<hr class="footerDivider"/><a href="'+$().SPServices.SPGetCurrentSite()+'Contact.html">Contact Us</a> | <a href="'+$().SPServices.SPGetCurrentSite()+'Contact.html">Get Help Implementing Decision Point In Your Organization</a> | <a href="'+$().SPServices.SPGetCurrentSite()+'VersionHistory.html">Decision Point Version History</a>';
		$('#contentFooter2').html(html);
	
	},     
	
	_getGlobalMenu = function(){ 
	
		var html = "<ul id='nav' style='position:relative; top:65px; left:45px; width:540px;'>";
		
		$.each(_allPages, function(i,page){
		
			if(page.isGlobal == 1){
				
				html += '<li><a href="'+((page.path == '#') ? (window.location.href + "#") : ($().SPServices.SPGetCurrentSite()+'/pages/'+page.path))+'">'+page.title+'</a>';
					
				var childPagesHtml = '';
				
				$.each(_allPages, function(x,child){			
					
					if(child.parent !== undefined && child.parent != "" && child.parent != "0;#"){
						if(page.id == child.parent.split(';#')[0]){
						
							childPagesHtml += '<li><a href="'+((child.path == '#') ? (window.location.href + "#") : ($().SPServices.SPGetCurrentSite()+'/pages/'+child.path))+'"><span>'+child.title+'</span></a></li>';
						
						}
					}
					
				});
				
				if(childPagesHtml !== ''){
				
					html += '<ul>'+childPagesHtml+'</ul>';
				
				}
				
				html += "</li>";
				
			}
		
		});

		
		$('#globalNavContainer').html(html);
		
		
	};	
	
	return {
		init: function(){
			
			_getHomePage();
			
			_parentPage = _getParentPage();
			_allPages.sort(function(a,b){return a.displayOrder - b.displayOrder;});
			
			_getGlobalMenu();
			_getContextMenu();
			
			_getFooterMenu();
		
		}
	};
} ();

$(document).ready(function(){

	menu.init();

});

function getPageMenu(){

	

}